Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.eclipse
[Groovy] Class EclipseProject

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.GeneratorTask
              org.gradle.api.tasks.XmlGeneratorTask
                  org.gradle.plugins.eclipse.EclipseProject

    class EclipseProject
    extends XmlGeneratorTask

Generates an Eclipse `.project` file.

Authors:
  Hans Dockter

Field Summary

Fields inherited from class GeneratorTask
generator

Property Summary
`java.util.List` | `buildCommands` The build commands to be added to this Eclipse project.
`java.lang.String` | `comment` A comment used for the eclipse project
`java.util.Set` | `links` The links to be added to this Eclipse project.
`java.util.List` | `natures` The natures to be added to this Eclipse project.
`java.lang.String` | `projectName` The name used for the name of the eclipse project
`java.util.Set` | `referencedProjects` The referenced projects of this Eclipse project.

Method Summary
`void` | `buildCommand(java.util.Map args, java.lang.String buildCommand)` Adds a build command with arguments to the eclipse project.
`void` | `buildCommand(java.lang.String buildCommand)` Adds a build command to the eclipse project.
`protected void` | `configure(Project project)`
`protected Project` | `create()`
`void` | `link(java.util.Map args)` Adds a link to the eclipse project.
`void` | `natures(java.lang.String natures)` Adds natures entries to the eclipse project.
`void` | `referencedProjects(java.lang.String referencedProjects)` Adds project references to the eclipse project.

Methods inherited from class XmlGeneratorTask
configure, create, getXmlTransformer, withXml, withXml

Methods inherited from class GeneratorTask
beforeConfigured, beforeConfigured, getInputFile, getOutputFile, setInputFile, setOutputFile, whenConfigured, whenConfigured

Property Detail

### buildCommands

    java.util.List buildCommands

  The build commands to be added to this Eclipse project.

### comment

    java.lang.String comment

  A comment used for the eclipse project

### links

    java.util.Set links

  The links to be added to this Eclipse project.

### natures

    java.util.List natures

  The natures to be added to this Eclipse project.

### projectName

    java.lang.String projectName

  The name used for the name of the eclipse project

### referencedProjects

    java.util.Set referencedProjects

  The referenced projects of this Eclipse project.

Method Detail

### buildCommand

    void buildCommand(java.util.Map args, java.lang.String buildCommand)

  Adds a build command with arguments to the eclipse project.
  Parameters:
    `args` - A map with arguments, where the key is the name of the argument and the value the value.
    `buildCommand` - The name of the build command.
  See Also:
    buildCommand(String)

### buildCommand

    void buildCommand(java.lang.String buildCommand)

  Adds a build command to the eclipse project.
  Parameters:
    `buildCommand` - The name of the build command
  See Also:
    buildCommand(Map, String)

### configure

    @Override
    protected void configure(Project project)

### create

    @Override
    protected Project create()

### link

    void link(java.util.Map args)

  Adds a link to the eclipse project.
  Parameters:
    `args` - A maps with the args for the link. Legal keys for the map are name, type, location and locationUri.

### natures

    void natures(java.lang.String natures)

  Adds natures entries to the eclipse project.
  Parameters:
    `natures` - the nature names

### referencedProjects

    void referencedProjects(java.lang.String referencedProjects)

  Adds project references to the eclipse project.
  Parameters:
    `referencedProjects` - The name of the project references.

Groovy Documentation